hu.akarnokd.rxjava2.joins

## Class PatternN

- java.lang.Object
- - hu.akarnokd.rxjava2.joins.PatternN

    public final class PatternN
    extends java.lang.Object

Represents a join pattern over observable sequences.

### Constructor Summary

Constructors
Constructor and Description
`PatternN(java.util.List<io.reactivex.Observable<? extends java.lang.Object>> observables)`
`PatternN(java.util.List<io.reactivex.Observable<? extends java.lang.Object>> observables, io.reactivex.Observable<? extends java.lang.Object> other)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PatternN` `and(io.reactivex.Observable<? extends java.lang.Object> other)` Creates a pattern that matches when all previous observable sequences have an available element.
`<R> Plan<R>` `then(io.reactivex.functions.Function<? super java.lang.Object[],R> selector)` Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternN

    public PatternN(java.util.List<io.reactivex.Observable<? extends java.lang.Object>> observables)

#### PatternN

    public PatternN(java.util.List<io.reactivex.Observable<? extends java.lang.Object>> observables,
                    io.reactivex.Observable<? extends java.lang.Object> other)

### Method Detail

#### and

    public PatternN and(io.reactivex.Observable<? extends java.lang.Object> other)

Creates a pattern that matches when all previous observable sequences have an available element.

Parameters:
  `other` - Observable sequence to match with the previous sequences.
Returns:
  Pattern object that matches when all observable sequences have an available element.

#### then

    public <R> Plan<R> then(io.reactivex.functions.Function<? super java.lang.Object[],R> selector)

Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

Type Parameters:
  `R` - the result type
Parameters:
  `selector` - the function that will be invoked for elements in the source sequences.
Returns:
  the plan for the matching
Throws:
  `java.lang.NullPointerException` - if selector is null